## sbl-3.5.0.20130317.git7a75bc29.tar.bz2

=== Makefile ===
### global Makefile for sbl and brld
### Author: Marco Skambraks <marco@skammel.de>

all: brld_bin sbl_bin

brld_bin:
	make -C brld
	

sbl_bin:
	make -C sbl


clean:
	make -C brld clean
	make -C sbl clean
	make -C python clean
	rm -f jj.jj xyz *.o *.so *.so.* *~

install: sbl brld
	make -C sbl install
	make -C brld install
	make -C python install

uninstall:
	make -C brld uninstall
	make -C sbl uninstall
	make -C python uninstall

=== brld/Makefile ===
### brld - Makefile
### Author: Marco Skambraks <marco@skammel.de


include ../make.config

# increment this when an update breaks backward compatibility.
SOVER=1

# increment this for an update which does not break compatibility
SOMINOR=0

LINKNAME=libbrld.so
SONAME=$(LINKNAME).$(SOVER)
LIBNAME=$(SONAME).$(SOMINOR)

SRCS = brld.c  load_config.c  load_driver.c  ringbuffer.c
OBJS = $(SRCS:.c=.o)

CFLAGS += -rdynamic -W -Wall 
DIRFLAGS = '-DPROGPATH="$(PROGPATH)"' '-DCONFDIR="$(CONFDIR)"'
LDLIBS = -lpthread -ldl -lusb

all: brld $(LIBNAME)

brld: $(OBJS)

$(LIBNAME): libbrld.c
	$(CC) $(CFLAGS)	-fPIC -shared -Wl,-soname,$(SONAME) -o $(LIBNAME) $<

clean:
	$(RM) brld *~ *.o jj.jj *.so *.so.*

install: brld $(LIBNAME)
	install --directory $(DESTDIR)$(SBINDIR)
	install brld $(DESTDIR)$(SBINDIR)
	install --directory $(DESTDIR)$(LIBDIR)
	install $(LIBNAME) $(DESTDIR)$(LIBDIR)
	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SONAME)
	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LINKNAME)
	install --directory $(DESTDIR)$(MANDIR)/man8
	install ../man/brld.8 $(DESTDIR)$(MANDIR)/man8

uninstall:
	$(RM) $(DESTDIR)$(SBINDIR)/brld
	$(RM) $(DESTDIR)$(LIBDIR)$(LINKNAME).*
	$(RM) $(DESTDIR)$(MANDIR)/man8/brld.8

%.o: %.c
	$(COMPILE.c) $(DIRFLAGS) $(OUTPUT_OPTION) $<

=== python/Makefile ===
### Makefile to install the brld orca module
### Author: Marco Skambraks <marco@skammel.de>
include ../make.config

PYVER=$(shell python --version 2>&1|cut -c 8-|cut -c 1-3)
ORCA_DIR=$(DESTDIR)$(LIBDIR)/python$(PYVER)/site-packages/orca

all: brlapi.py
	@echo -n Generating byte code... 
	@python -c 'import brlapi' && echo ok || @echo failed

clean:
	rm -f *~ xyz jj.jj *.pyc

install: all
	@if [ -d $(ORCA_DIR) ] || [ ! -z "$(DESTDIR)" ]; then \
	     install --directory $(ORCA_DIR) ; \
	     install -m 644 brlapi.py brlapi.pyc $(ORCA_DIR) ; \
	else \
	     echo please make sure that orca is installed in: ; \
	     echo $(ORCA_DIR) ; \
	fi

uninstall:
	rm -f $(ORCA_DIR)/brlapi.py*

=== sbl/Makefile ===
### sbl - suse-blinux Makefile
### Author: Marco Skambraks <marco@suse.de>

### arm
#CC = /opt/cross/bin/arm-linux-gcc


include ../make.config

## i386 compiler
CC = gcc
## objects
BRAILLE_TARGETS=dynamic-braille
SBLPATH=$(PROGPATH)
LIB_PATH = ./lib/
SCR_O = scr.o
INSKEY_O = inskey_lnx.o        
SBL_OBJECTS = sbl.o misc.o beeps.o cut-n-paste.o $(INSKEY_O) sbllog.o mbrola.o festival.o spk.o ldconf.o kbdsniff.o trans.o system.o selkey.o
SBL_OBJECTS+= ttsynth.o
SBL_OBJECTS+= speechd.o

BRLDEV = /dev/ttyS0
EXEC_PATH = ./
REINSTALL_PATH = ./
INSTALL_EXEC = --owner=root --group=root --mode=0744

# To compile in a.out (if you use ELF by default), you may be able to use
# `-b i486-linuxaout'; however, you may also need to use the -V flag, or
# possibly a different gcc executable, depending on your setup.
COMMONCFLAGS = -O2 -W -Wall -Wno-unused-result -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE -s 
#COMMONCFLAGS = -O2 -Wall -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE
#CFLAGS = $(COMMONCFLAGS)
CFLAGS = -fPIC $(COMMONCFLAGS) 

LIB_CFLAGS = $(CFLAGS) -fPIC
LIB_SO_NAME = libsbl-
LIB_VER = 2
LD = $(CC)
COMMONLDFLAGS = -rdynamic
LDFLAGS = $(COMMONLDFLAGS)
LDLIBS = -L. -lspeech -ldl 
BRL_TARGETS = Alva_usb Pwrbrl Fhp_usb Fhp HT Baum Tieman None Alva

.EXPORT_ALL_VARIABLES:

all: softspeech sbl ttsynthlib.so speechdlib.so $(BRAILLE_TARGETS)

softspeech:
	$(MAKE) -C speech


sbl: $(SBL_OBJECTS) $(SCR_O) 
	$(LD) $(LDFLAGS) -Wl,-rpath,$(SBLPATH)/lib -o $@ $? $(LDLIBS)

install: sbl
	install --directory $(DESTDIR)$(SBLPATH)
	install --directory $(DESTDIR)$(SBLPATH)/lib
	install --directory $(DESTDIR)$(CONFDIR)/sbl
	install --directory $(DESTDIR)$(CONFDIR)/sbl/profile
	install --directory $(DESTDIR)$(CONFDIR)/sbl/spk
	install --directory $(DESTDIR)$(CONFDIR)/sbl/spkfilter
	install --directory $(DESTDIR)$(CONFDIR)/sbl/brltbl
	install --directory $(DESTDIR)$(CONFDIR)/sbl/keymap
	install --directory $(DESTDIR)$(PREFIX)/sbin
	install -s sbl $(DESTDIR)$(PREFIX)/sbin
	install -s lib/* $(DESTDIR)$(SBLPATH)/lib
	install -m 644 ../profile/* $(DESTDIR)$(CONFDIR)/sbl/profile
	install -m 644 ../keymap/* $(DESTDIR)$(CONFDIR)/sbl/keymap
	install -m 644 ../spk/* $(DESTDIR)$(CONFDIR)/sbl/spk
	install -m 644 ../spkfilter/* $(DESTDIR)$(CONFDIR)/sbl/spkfilter
	install -m 644 ../brltbl/* $(DESTDIR)$(CONFDIR)/sbl/brltbl
	install --directory $(DESTDIR)$(CONFDIR)/init.d
	install -m 644 ../config/sbl.conf $(DESTDIR)$(CONFDIR)
	install -m 744 ../config/sbl $(DESTDIR)$(CONFDIR)/init.d
	ln -sf $(CONFDIR)/init.d/sbl $(DESTDIR)$(PREFIX)/sbin/rcsbl
	install --directory $(DESTDIR)/var/run
#	mkfifo $(DESTDIR)/var/run/sbl.fifo.in
#	mkfifo $(DESTDIR)/var/run/sbl.fifo.out
	install --directory $(DESTDIR)$(MANDIR)/man8
	install -m 644 ../man/sbl.8 $(DESTDIR)$(MANDIR)/man8





#brl_load.o: brl_load.c brl.h misc.h
#	$(CC) $(CFLAGS) '-DLIB_PATH="$(LIB_PATH)"' $(BUILTIN_BRAILLE) -c brl_load.c

dynamic-braille:
	rm -f lib/sbl-brl.lst
	for target in $(BRL_TARGETS); \
	do $(MAKE)  -C $$target braille-driver || exit 1;\
	done

ldconf.o: ldconf.c ldconf.h typedefs.h sbllog.h 
	$(CC) $(CFLAGS) -c $<
trans.o: trans.c
	$(CC) -fPIC $(CFLAGS) -c $<

mbrola.o: mbrola.c mbrola.h
	$(CC) $(CFLAGS) '-DPROGPATH="$(SBLPATH)"' -c $<
ttsynth.o: ttsynth.c
	$(CC) $(LIB_CFLAGS) -c $<
ttsynthlib.so: ttsynthlib.c
	$(CC) $(LIB_CFLAGS) -shared -Wl,-soname,$@ -o ./lib/$@ $<

speechdlib.so: speechdlib.c speechdlib.h
	$(CC) $(LIB_CFLAGS) -shared -Wl,-soname,$@ -o ./lib/$@ $<
speechd.o: speechd.c speechd.h
	$(CC) $(LIB_CFLAGS) -c $<

festival.o: festival.c festival.h
	$(CC) $(CFLAGS) -c $<

sbllog.o: sbllog.c sbllog.h
	$(CC) -fPIC $(CFLAGS) -c $<

spk.o: spk.c spk.h spkfilter.h typedefs.h sbllog.h
	$(CC) $(CFLAGS) '-DPROGPATH="$(SBLPATH)"' -c $<

$(SCR_O): scr.c
	$(CC) $(CFLAGS) -c scr.c


inskey_lnx.o: inskey_lnx.c inskey.h
	$(CC) $(CFLAGS) -c inskey_lnx.c

misc.o: misc.c misc.h
	$(CC) $(CFLAGS) -c misc.c

sbl.o: sbl.c kbdsniff.c system.c selkey.c
	$(CC) $(CFLAGS) '-DPROGPATH="$(SBLPATH)"' '-DCONFDIR="$(CONFDIR)"' -c $?

beeps.o: beeps.c
	$(CC) $(CFLAGS) -c $?

cut-n-paste.o: cut-n-paste.c
	$(CC) $(CFLAGS) -c cut-n-paste.c

clean:
	rm -f *.a */*.a
	rm -f jj.* */jj.*
	rm -f *.so */*.so
	rm -f *.o */*.o 
	rm -f sbl 
	rm -f *~ */*~ *orig */*orig \#*\# */\#*\#
	rm -f lib/*

uninstall:
	rm -rf $(SBLPATH)
	rm -f $(CONFDIR)/init.d/sbl
	rm -f $(CONFDIR)/sbl.conf
	rm -f $(PREFIX)/sbin/sbl

=== brld/example/Makefile ===
CFLAGS += -rdynamic -W -Wall
LDLIBS = -ldl

all: brlc

brlc: brlc.c

clean:
	$(RM) brlc *.o *~ jj.jj

=== sbl/Alva/Makefile ===
DRIVER = alva
include ../driver.mk

#all: brlmain.cc brl.o

brlmain.o: brlmain.c
	$(CC) -Wall $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -c brlmain.c ../sbllog.c
brl.o: brlmain.o 
	$(LD) -r -o brl.o brlmain.o
brl-lib-name:

=== sbl/Alva_usb/Makefile ===
DRIVER = alvausb
TARGETS = brl.c ../brl.h ../brl_driver.h ../misc.h

include ../driver.mk

brl.o: $(TARGETS)
	$(CC) -Wall $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -c brl.c 

brl-lib-name:

=== sbl/Baum/Makefile ===
DRIVER = baum
include ../driver.mk

brl.o: brl.c brlconf.h ../brl_driver.h ../brl.h ../misc.h ../beeps.h ../config.h
	$(CC) -Wall $(BRL_CFLAGS) -c brl.c

brl-lib-name:

=== sbl/Blazie/Makefile ===
DRIVER = blazie
TARGETS = brl.c ../brl.h ../misc.h ../inskey.h ../message.h \
	../config.h brlconf.h ../brl_driver.h bindings.h

include ../driver.mk


#brl.o: $(TARGETS)
#	$(CC) $(BRL_CFLAGS) -c brl.c

brl.o: $(TARGETS)
	$(CC) $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -o brl.o -c brl.c

brl-lib-name:

=== sbl/Fhp/Makefile ===
DRIVER = fhp
TARGETS = brl.c ../sbllog.c

include ../driver.mk

brl.o: $(TARGETS)
	$(CC) -Wall $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -c brl.c ../sbllog.c

brl-lib-name:

=== sbl/Fhp_usb/Makefile ===
DRIVER = fhp_usb
TARGETS = brl.c ../brl.h ../brl_driver.h ../misc.h

include ../driver.mk

brl.o: $(TARGETS)
	$(CC) -Wall $(BRL_CFLAGS) '-DBRLDEV="$(BRLDEV)"' -c brl.c

brl-lib-name:

=== sbl/HT/Makefile ===
IFLAGS = -W -Wall -I..
DRIVER = ht
include ../driver.mk 
variolow.o: variolow.c variolow.h
	$(CC) $(BRL_CFLAGS) $(IFLAGS) -c variolow.c

vario.o:vario.c ../brl_driver.h ../misc.h
	$(CC) $(BRL_CFLAGS) $(IFLAGS) -c vario.c 
brl.o:vario.o variolow.o ../trans.o
	$(LD) -r -o brl.o variolow.o vario.o ../trans.o

brl-lib-name:

=== debian/changelog ===
sbl (3.3-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Henning Oschwald <henning@hoschwald.de>  Tue, 05 Aug 2008 20:04:18 +0200

=== debian/control ===
Source: sbl
Section: unknown
Priority: extra
Maintainer: Henning Oschwald <henning@hoschwald.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: sbl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: sbl-daemon
Architecture: all
Description: Documentation for sbl
 <insert long description, indented with spaces>

Package: sbl-kbdsnif
Architecture: all
Description: Documentation for sbl
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS






configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp  

	# Add here commands to compile the arch part of the package.
	#$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp  

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/sbl install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
